Retrieve the execution summary for a specific Function run, identified by the correlationId returned from the start run endpoint.
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Read Functions under the Functions category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/functions/{name}/runs/{correlationId} \
--header 'Authorization: Bearer <token>'{
"data": {
"context": {
"requestId": "req-550e8400-e29b-41d4-a716-446655440000",
"requestPayload": "Ipsum aut repudiandae occaecati ut voluptas enim.",
"responsePayload": "Aliquam praesentium et tempora."
},
"correlationId": "550e8400-e29b-41d4-a716-446655440000",
"name": "my-function",
"startedAtTime": "2021-01-01T00:00:00Z",
"status": "success",
"completedAtTime": "2021-01-01T00:00:30Z"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The name of the Function.
The unique correlationId of the Function run, returned by the start run endpoint.
OK response.
Details of a specific Function run.
Show child attributes
curl --request GET \
--url https://api.samsara.com/functions/{name}/runs/{correlationId} \
--header 'Authorization: Bearer <token>'{
"data": {
"context": {
"requestId": "req-550e8400-e29b-41d4-a716-446655440000",
"requestPayload": "Ipsum aut repudiandae occaecati ut voluptas enim.",
"responsePayload": "Aliquam praesentium et tempora."
},
"correlationId": "550e8400-e29b-41d4-a716-446655440000",
"name": "my-function",
"startedAtTime": "2021-01-01T00:00:00Z",
"status": "success",
"completedAtTime": "2021-01-01T00:00:30Z"
}
}